/*
   base/navpoint.cc
   This file is part of the Osirion project and is distributed under
   the terms and conditions of the GNU General Public License version 2
*/

#include "base/navpoint.h"
#include "base/game.h"

namespace game
{

const Template *NavPoint::navpoint_template = 0;
	
NavPoint::NavPoint() : core::Entity()
{
	entity_moduletypeid = navpoint_enttype;
	set_shape(core::Entity::Diamond);
	set_radius(0.25);
	
	// use template settings if available
	if (navpoint_template) {
		navpoint_template->apply(this);
	}
}

NavPoint::~NavPoint()
{
}

}
